#
# spec file for package yast2-tftp-server
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-tftp-server
Version:        3.1.3
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite
# SuSEfirewall2_* scripts merget into one in yast2-2.23.17
BuildRequires:  yast2 >= 2.23.17

# Wizard::SetDesktopTitleAndIcon
Requires:       lsof
Requires:       yast2 >= 2.21.22

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - TFTP Server Configuration
License:        GPL-2.0+
Group:          System/YaST

%description
The YaST2 component for configuring a TFTP server. TFTP stands for
Trivial File Transfer Protocol. It is used for booting over the
network.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/tftp-server
%{yast_yncludedir}/tftp-server/*
%{yast_clientdir}/tftp-server*.rb
%{yast_moduledir}/TftpServer.*
%{yast_desktopdir}/tftp-server.desktop
%{yast_scrconfdir}/etc_xinetd_d_tftp.scr
%doc %{yast_docdir}

%changelog
* Thu Jun  9 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.3
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.2
* Tue Apr  1 2014 locilka@suse.com
- Testsuite adjusted to the new Systemd/Service library
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon May 13 2013 mvidner@suse.com
- adjust tests to changes in yast2-2.23.23 (for bnc#807507)
- 2.22.3
* Mon Jan  7 2013 locilka@suse.com
- Testsuite adapted to switching Service module to systemd
  (yast2-2.23.15)
- Testsuite adapted to merging SuSEfirewall2_* scripts into one
  (yast2-2.23.17)
- 2.22.2
* Thu Mar 29 2012 jsuchome@suse.cz
- merge proofread texts
* Fri Nov 25 2011 locilka@suse.cz
- Fixed firewall service name (bnc#729793)
- Adapted RPM build requirements
- 2.22.1
* Thu Nov  3 2011 locilka@suse.cz
- Fixed testsuite
- 2.21.2
* Mon Sep 26 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon Sep 12 2011 lslezak@suse.cz
- updated testsuite (systemd support) (bnc#664548)
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Sat Sep  5 2009 mvidner@suse.cz
- Added X-SuSE-YaST-Keywords for the Qt4 control center.
- 2.18.0
* Fri Nov  7 2008 mvidner@suse.cz
- Adjusted dialog buttons according to YaST Style Guide
  (bnc#440541).
- 2.17.1
* Thu Oct  9 2008 jsuchome@suse.cz
- fixed failing testsuite (Service.ycp)
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.0
* Mon Nov 13 2006 jsrain@suse.cz
- 2.14.0
* Mon Sep 11 2006 mvidner@suse.cz
- Fixed Progress nesting (#202351).
- Using autodocs-ycp.ami (with parentheses for automake-1.9.6).
- Using Sequencer.ycp instead of deprecated sequencer.ycp.
- 2.13.4
* Tue Mar  7 2006 mvidner@suse.cz
- Converted neededforbuild to BuildRequires
  and removed yast2-devel-packages.
- 2.13.3
* Tue Jan 24 2006 mvidner@suse.cz
- Merged proofread messages.
- 2.13.2
* Mon Jan 16 2006 mvidner@suse.cz
- Again adjusted test cases for NetworkManager related changes (~#135595).
- 2.13.1
* Thu Jan  5 2006 mvidner@suse.cz
- Adjusted testsuite for changes in firewall code.
- 2.13.0
* Tue Nov 29 2005 mzugec@suse.cz
- feature #100125 - command line support
* Fri Aug 12 2005 mvidner@suse.cz
- Normalized help text (check_ycp).
- 2.12.2
* Tue Aug  9 2005 mvidner@suse.cz
- Texts proofread.
- TFTP is not FTP (#102946).
- 2.12.1
* Tue Aug  2 2005 locilka@suse.cz
- Adjusted for SUSE Linux 10.0
- 2.12.0
* Fri Feb 25 2005 visnov@suse.cz
- Implemented trivial command line interface
- 2.11.3
* Mon Jan 31 2005 mvidner@suse.cz
- Adjusted testsuite for changes in firewall (build fix).
- 2.11.2
* Mon Jan  3 2005 mvidner@suse.cz
- Adjusted for firewall's move to yast2.rpm.
- Using Progress::set.
- 2.11.1
* Wed Nov 10 2004 mvidner@suse.cz
- Updated to new Mode.
- Using Message.
- 2.11.0
* Wed Sep 15 2004 mvidner@suse.cz
- Use Package instead of Require.
- 2.10.6
* Tue Sep 14 2004 jsrain@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.5
* Mon Sep  6 2004 mvidner@suse.cz
- Adjusted testsuite to changes in yast2-firewall (#44650).
- 2.10.4
* Fri Sep  3 2004 mvidner@suse.cz
- Added GetModified, SetModified for autoyast (#43904).
- 2.10.3
* Fri Aug 27 2004 mvidner@suse.cz
- Use LogView to display the log as it grows.
- 2.10.2
* Mon Aug 23 2004 mvidner@suse.cz
- Added Open Firewall button.
- 2.10.1
* Thu Jun 17 2004 mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- Using Service instead of Runlevel.
- 2.10.0
* Fri Apr  2 2004 mvidner@suse.cz
- changed license to GPL
- 2.9.4
* Wed Mar 31 2004 mvidner@suse.cz
- fixed make check-syntax
- 2.9.3
* Sun Mar  7 2004 kkaempf@suse.de
- adapt testsuite
* Tue Feb 10 2004 msvec@suse.cz
- dropped y2cc config files
- 2.9.1
* Mon Feb  2 2004 msvec@suse.cz
- NI adaption
- 2.9.0
* Mon Sep 15 2003 jsrain@suse.de
- let yast modules in kcontrol work again (adrian@suse.de)
- 2.8.5
* Thu Sep  4 2003 nashif@suse.de
- Fixed #30098: Fixed to work with autoyast
- Use Require module
- 2.8.4
* Fri Aug 29 2003 jsrain@suse.de
- added .desktop file
- 2.8.3
* Tue Aug 26 2003 jsrain@suse.de
- updated _auto client
- updated ydoc comments
- 2.8.2
* Mon Aug 18 2003 jsrain@suse.de
- merged texts from proofread
- 2.8.1
* Fri Aug 15 2003 jsrain@suse.de
- 2.8.0
* Thu Jun 12 2003 mvidner@suse.cz
- initial version for abuild
- added log view popup
- 2.6.1
